@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/*============Normalize============*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body{
    background-color: #F5F5F5;
    min-height: 100vh;
}

html{
    scroll-behavior: smooth;
}


/*============Normalize============*/

/*=========== Modifier Scroll ===========*/
::-webkit-scrollbar{
    width: 15px;
}
::-webkit-scrollbar-thumb{
    background-color: #484848;
}

/*=========== Modifier Scroll ===========*/

/*=========== Modifier Selection du text ===========*/
::selection{
    color: white;
    background-color: rgb(0 0 0 / 30%);
}
::-moz-selection{ /*For Mozilla Browser*/
    color: white;
    background-color: rgb(0 0 0 / 30%);
}
/*=========== Modifier Selection du text ===========*/




/*============================================ Navigation ============================================*/
body > header{
    color: white;
    height: 100%;
    flex-basis: 15%;
    background-color: #484848;
    position: sticky;
    top: 0;
    height: 100vh;
}


/*Ajoute transition pour hover*/
body > header ul > li:hover > a{
    background-color: #1F1F1F;
    padding-left: 25px;

}

body > header .header-list{
    list-style: none;
    transition: 0.4s;
}

/*si header-list contient classe clicked fait cette modification (se fait par JS)*/
.header-list.clicked{
    z-index: 999;
    opacity: 1;
}

body > header .header-list li a{
    display: inline-block;
    width: 100%;
    text-decoration: none;
    color: white;
    padding: 25px 20px;
    transition: background-color 0.7s,padding 0.7s;
}

.mini-list{
    height: 0px;
    overflow: hidden;
    transition: height 0.7s;
}
/*quand on hover change le hauteur*/
.header-list .list:hover .mini-list{
    height: 140px;
}

.mini-list li a{
    padding-left: 45px !important;
}

/*Change hauteur de mini-list pour ecran largeur entre 992px et 1200px*/
@media (min-width:992px) and (max-width:1200px){
    .header-list .list:hover .mini-list{
        height: 200px;
    }
}

/*Ajout Icon*/
header .icon-nav{
    height: 25px;
    width: 25px;
    position: relative;
    display: none;
    cursor: pointer;
}

header .icon-nav::before{
    content: '';
    position: absolute;
    top: 5px;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: white;
}

header .icon-nav::after{
    content: '';
    position: absolute;
    bottom: 5px;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: white;
}

/*======== Modifier Navigation pour Mobile ========*/

@media (max-width:992px){
    body{
        flex-direction: column;
    }
    body > header{
        flex-basis: 100%;
        position: relative;
    }
    body > header .header-list{
        position: absolute;
        top: 65px;
        left: 0;
        width: 100%;
        background-color: #484848e8;
        opacity: 0;
        z-index: -99;
        overflow: hidden;
    }
    body > header .icon-nav{
        display: flex;
        margin: 20px;
    }
}

/*======== Modifier Navigation pour Mobile ========*/


/*============================================ Navigation ============================================*/

/*============================================ Main ============================================*/

main{
    flex: 1;
    position: relative;
    overflow: hidden;
}


main.main-accueil{
    background-color: black;

}

/*on ajoute before pour fait background avec coupe en utilisant clip-path*/
main.main-accueil::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    clip-path: polygon(0 0, 70% 0, 60% 100%, 0 100%);
    background: rgb(31,31,31);
    background: linear-gradient(90deg, rgba(31,31,31,1) 15%, rgba(72,72,72,1) 91%);
    z-index: 1;
}

/*Accueil image*/
main.main-accueil img{
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: 0;
}



/*============================================ Introduction ============================================*/

.introduction{
    background: rgb(31, 31, 31);
    background: linear-gradient(90deg, rgba(31, 31, 31, 1) 15%, rgba(72, 72, 72, 1) 91%);
}

.introduction section{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 5%;
    height: 100%;
    color: white;
    gap: 40px
}

.introduction section header{
    overflow: hidden;
}
.introduction section h1{
    transform: translateY(100px);
    animation-name: move;
    animation-fill-mode: forwards;
    animation-duration: 1s;
}

.introduction section .introduction_content{
    overflow: hidden;
    width: 500px;
}
.introduction section .introduction_content p{
    font-size: 1.3em;
    font-weight: 500;
    flex-basis: 50%;
    color: white;
    transform: translateY(400%);
    animation-name: move;
    animation-fill-mode: forwards;
    animation-duration: 1s;
    margin-top: 10px;
}

/*Ajouter delay pour chaque paragraphe*/
.introduction section .introduction_content p:first-of-type{
    animation-delay: 0.6s;
}
.introduction section .introduction_content p:nth-of-type(2){
    animation-delay: 1s;
}
.introduction section .introduction_content p:last-of-type{
    animation-delay: 1.4s;
}
/*ajouter animation pour le text*/

@keyframes move {
    0%{
        transform: translateY(100%);
    }
    100%{
        transform: translateY(0);
    }
}
/*ajouter animation pour le text*/


@media (max-width:996px){
    .introduction section .introduction_content{
        width: 100% ;
    }
}

/*==== Table d'information ====*/

.introduction section aside{
    margin: 0 auto;
}

.introduction section table {
    max-width: 400px;
    width: 100%;
    border: 1px solid #ccc;
}

/*======Table Thead======*/
.introduction section table thead td{
    height: 250px;
    overflow: hidden;
}
.introduction section table thead img{
    width: 100%;
    height: 100%;
    filter: grayscale(1);
    transition: 0.7s;
}
.introduction section table thead img:hover{
    transform: scale(1.1);
}
.introduction section table thead th{
    background-color: #ccc;
    color: black;
    padding: 5px 0;
    font-size: 1.2em;
}
/*======Table Thead======*/

/*======Table Tbody======*/
.introduction section table tbody td,
.introduction section table tfoot td{
    display: inline-block;
    margin-left: 15px;
    margin-top: 10px;
} 

.introduction section table tbody{
    border-bottom: 1px solid #ccc; 
    /* padding: 10px; */
}



/*======Table Tbody======*/

.introduction section table tfoot td ul{
    list-style: none;
}


/*============================================ Introduction ============================================*/

/*============================================ Accueil ============================================*/

main .accueil{
    display: flex;
    align-items: center;
    height: 100vh;
    padding: 5%;
    overflow: hidden;
    position: relative;
    z-index: 99;
}

main .accueil div{
    overflow: hidden;
}
main .accueil p{
    width: 50%;
    font-size: 2.9em;
    font-weight: 600;
    position: relative;
    color: white;
    text-align: center;
    opacity: 0;
    animation: moveUp 1.2s forwards;
}

main .accueil img{
    height: 100%;
}

/*=====Pour Mobile=====*/
@media (max-width:1200px){
    main .accueil p {
        width: 60%;
        font-size: 2.5em;
    }
}

@media (max-width:992px){
    main .accueil {
        height: 80vh;
    }
}

@media (max-width:776px){
    main.main-accueil::before{
        clip-path: none;
    }
    main .accueil{
        justify-content: center;
    }
    main .accueil p{
        width: 100%;
        font-size: 2em;
    }
}

/*=====Pour Mobile=====*/

/*Ajoute animation pour le text*/
@keyframes moveUp {
    0%{
        transform: translateY(100%);
        opacity: 0;
    }
    100%{
        transform: translateY(0);
        opacity: 1;
    }
}

/*============================================ Accueil ============================================*/


/*============================================ Biographie ============================================*/


.biographie .biographie-img{
    position: relative;
    height: 400px;
}

/*Ajoute background avec moins d'opacité*/
.biographie .biographie-img::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,0.5);
}

.biographie .biographie-img img{
    height: 100%;
    width: 100%;
} 
.biographie .biographie-img figcaption{
    position: absolute;
    left: 5%;
    top: 60%;
    color: white;
    font-weight: 700;
    font-size: 3em;
    text-shadow: -2px 2px 34px rgba(0,0,0,0.43);
}

.biographie section{
    padding: 5%;
    position: relative;
}

.biographie section img{
    position: absolute;
    right: -100px;
    bottom: 20px;
    height: 350px;
    filter: grayscale(1);
    opacity: 0.2;
}

/*ajoute !important pour override valeur précédemment*/
.etude_img{
    right: 0 !important; 
}
 section header{
    font-size: 2.4em;
    line-height: 1.1;
    margin-bottom: 10px;
}


main section p{
    font-size: 1.1em;
    line-height: 1.5;
    margin-top: 15px;
}

/*Ajouter Media pour mobile*/

@media (max-width:992px){
    .biographie section header,
    .main-oeuvres section header{
        font-size: 2em !important;
    }
}
@media (max-width:768px){
    .biographie section header,
    .main-oeuvres section header{
        font-size: 1.6em !important;
    }
    .biographie section p,
    .main-oeuvres section p{
        font-size: 1em;
    }
}

/*============================================ Biographie ============================================*/





/*============================================ Oeuvres ============================================*/



/*le titre apres la photo de enigma chapitre 1 */
.main-oeuvres section header{
    font-size: 2.4em;
    margin-bottom: 10px;
}
/* padding pour le text de les deux chapitre 1 et 2 */
.main-oeuvres section{
    padding: 5%;
}

.main-oeuvres section h2{
    margin-top: 15px;
}

.main-oeuvres section .enigma-introduction{
    font-style: italic;
}

/* la photo de enigma chapitre1 */

.main-oeuvres figure {
    position: relative;
    height: 400px;
}

.main-oeuvres figure img{
    height:100% ;
    width: 100%;
}


.main-oeuvres figure:first-of-type img{
    filter: brightness(0.8);
}
.main-oeuvres figure:last-of-type img{
    filter: grayscale(1)
}

/* le petit  text en dessous de la photo enigma */
.main-oeuvres figcaption{
    position: absolute;
    right: 10%;
    top: 65%;
    color: white;
    font-weight: 700;
    font-size: 3em;
    text-shadow: -2px 2px 34px rgba(0,0,0,0.43);
}

.main-oeuvres figure:last-of-type figcaption{
    left: 5%;
    font-size: 2.5em;
}

/*============================================ Oeuvres ============================================*/



/*============================================ Sources ============================================*/

.Sources {
    background: linear-gradient(90deg, rgba(31, 31, 31, 1) 15%, rgba(72, 72, 72, 1) 91%);

}

.Sources section {
    margin-bottom: 30px; 
    padding: 5%;
    color: #F5F5F5;
}


.Sources header {
    font-size: 2em;
}


.Sources a {
    color: rgb(43, 22, 200); 
    text-decoration: none; }
.Sources ul {
    margin: 30px 0;
    font-weight: 700;
}
.Sources ol {
    margin-bottom: 50px; 
}

.Sources li {
    color: #F5F5F5;
    margin-bottom: 30px; 
}

.Sources table {
    width: 100%; 
    border-collapse: collapse;
    margin-bottom: 20px; 
    color: black;
}

.Sources th,
.Sources td {
    border: 2px solid #4d4a4a; 
    padding: 10px; 
    text-align: center; 
    background-color: #f7f3f3;
}
@media screen and (max-width: 776px) {
    .Sources {
        padding: 10px; 
    }

    .Sources h2 {
        font-size: 20px; 
    }
   .Sources p {
    font-size: 12px;
   }
   .Sources th,
    .Sources td {
        font-size: 14px;    
        padding: 3px; ;;
    }
    .Sources ul{
      padding-left: 10px;  
    }
}


/*============================================ Sources ============================================*/

/*============================================ MAIN ============================================*/



/*Ajoute font pour les premiers letters*/
@import url('https://fonts.googleapis.com/css2?family=Butterfly+Kids&family=Indie+Flower&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700&display=swap');
